package net.minecraft.world.level.block;

import net.minecraft.world.entity.EntityType;
import net.minecraft.core.BlockPos;
import net.minecraft.world.level.BlockGetter;
import net.minecraft.world.level.block.state.BlockState;

public class BarrierBlock extends Block {
    protected BarrierBlock(final Properties c) {
        super(c);
    }
    
    @Override
    public boolean propagatesSkylightDown(final BlockState byj, final BlockGetter bjg, final BlockPos fk) {
        return true;
    }
    
    @Override
    public RenderShape getRenderShape(final BlockState byj) {
        return RenderShape.INVISIBLE;
    }
    
    @Override
    public float getShadeBrightness(final BlockState byj, final BlockGetter bjg, final BlockPos fk) {
        return 1.0f;
    }
    
    @Override
    public boolean isValidSpawn(final BlockState byj, final BlockGetter bjg, final BlockPos fk, final EntityType<?> aku) {
        return false;
    }
}
